# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
SUPPORT_PYTHON_ABIS="1"

inherit eutils distutils

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="The MMC Agent and its Core Python plugins."
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mds/sources/${PV}/mds-${PV}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=app-admin/mmc-core-${PV}"

DEPEND="sys-apps/lsb-release"

S="${WORKDIR}/mds-${MY_PV}/agent"

src_prepare() {
	epatch "${FILESDIR}"/mds-2.4.0-install-target-1.patch
	epatch "${FILESDIR}"/mds-2.4.0-printing-1.patch
	distutils_src_prepare
}

# from marienz's setuptools.eclass:
src_install() {
	emake install_nopy PREFIX=/usr DESTDIR=${D}
	distutils_src_install
}

pkg_postinst() {
	elog "To disable some plugin in your mmc environments, you have to set"
	elog "disable to 1 in /etc/mmc/plugins/*.ini"
	elog "(one config file per service)"
	elog "You can't disable the base plugin."
}
