# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
SUPPORT_PYTHON_ABIS="1"

inherit eutils distutils

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="The MMC Agent and its Core Python plugins."
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mmc-core/sources//${PV}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=dev-python/python-ldap-2.2.1
	!app-admin/mmc-agent"

DEPEND="sys-apps/lsb-release"

S="${WORKDIR}/${PN}-${MY_PV}/agent"

src_prepare() {
	epatch "${FILESDIR}"/${PN}-3.0.0-install-target-1.patch
	epatch "${FILESDIR}"/${PN}-3.0.0-kerberos-1.patch
	distutils_src_prepare
}

# from marienz's setuptools.eclass:
src_install() {
	emake install_nopy PREFIX=/usr DESTDIR=${D} NOCHECKPASSWORD="1"
	distutils_src_install
	newinitd "${FILESDIR}"/mmc-agent.initd mmc-agent
	keepdir /var/log/mmc
}

pkg_postinst() {
	elog "To disable some plugin in your mmc environments, you have to set"
	elog "disable to 1 in /etc/mmc/plugins/*.ini"
	elog "(one config file per service)"
	elog "You can't disable the base plugin."
}
