# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils depend.apache depend.php

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="Mandriva Directory Server - Identity and network services management made easy !"
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mmc-core/sources/${PV}/mmc-core-${PV}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~x86 ~x86-fbsd"
IUSE=""
DEPEND="sys-apps/lsb-release
	sys-devel/gettext"
RDEPEND=">=app-admin/mmc-core-${PV}
	dev-lang/php[ldap,xmlrpc,nls]
	virtual/cdrtools
	!app-admin/mmc-web-base"
SLOT="0"

need_php_httpd

S="${WORKDIR}/mmc-core-${PV}/web"

src_prepare() {
	epatch "${FILESDIR}"/mmc-core-3.0.0-gentoo-1.patch
}

src_install() {
	emake DESTDIR="${D}" PREFIX=/usr HTTPDUSER=apache install || die "install failed"
	insinto /etc/mmc
	doins confs/mmc.ini || die "ini install failed"

	insinto /etc/apache2/modules.d
	newins confs/apache/mmc.conf 90_mmc.conf
}
